; the colorbar is done
  pro cbar,ypos1,colc,cbartitle,tdate,labelchr,ncbar,xpos1,xpos2

; *****
; note x goes from 0 to 1 from left to right in the graph
; note y goes from 0 to 1 from bottom to top
  eps=0.05/2.0
; xpos1=0.20
; xpos2=0.80
  ypos2=ypos1+eps

; the colorbar
   cbxmin=xpos1
   cbxmax=xpos2
   cbymin=ypos1
   cbymax=ypos2
    nval=ncbar
   dx=(cbxmax-cbxmin)/nval
   col=colc
   for i=0,nval-1 do begin
    x1=cbxmin+(dx*i)
    x2=cbxmin+(dx*(i+1))
    polyfill,[x1,x2,x2,x1],[cbymin,cbymin,cbymax,cbymax],color=col(i),$
     /normal
   endfor

; The label for the colorbar
  xpl=xpos1
  ypl=ypos1
   dy1=0.04
   dy2=0.04
  xl1=((xpos1+xpos2)/2.0)-0.10
  yl1=ypl+dy1
  xl2=xpl
  yl2=ypl-dy2
  dyoff=0.02

; The title of the colorbar
   xl1bar=0.5*(xpos1+xpos2)
   yl1bar=ypos1+0.05
  xyouts, xl1bar, yl1bar, cbartitle, CHARSIZE=1.5,  /NORMAL, ALIGNMENT=0.5

; The date of the data
; xl1=0.5
; yl3=ypl+(2.0*dy1)
; xyouts, xl1, yl3, tdate, CHARSIZE=1.5,  /NORMAL, ALIGNMENT=0.5

   itimes=0
  yl2=ypl-dy2-(itimes*dyoff)

   div=(xpos2-xpl)/(ncbar)
  for n=1,ncbar+1 do begin
   nn=n-1
   xlval=xpl+((n-1)*div)
   ylval=yl2
   xyouts, xlval, ylval, labelchr(nn) , CHARSIZE=1.0,  /NORMAL, $
    alignment=0.5
  endfor

; *****
  return
  end
