   pro taskfig02,iout,figsubsave,figsub,outwrsub

; *******
; Output saveset
   fileps=strcompress(figsub+'figure02.ps')
   print,fileps

; *******
; Output ascii file
   fwr=strcompress(outwrsub+'figure02.txt')
   print,fwr

; *******
; Open the ps file
   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps,$
    /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; *******
; One graph per page
   !P.MULTI=[0,1,1]

; Load the color table
   ibw=0
  if (ibw ne 1) then begin
   loadct,26
  endif
  if (ibw eq 1) then begin
   loadct,0
  endif

; Bold fonts
   !P.font=0

; ************
; Input saveset with input data to the graph
;   fsave='/ur/massie/oco2_opensci/figsavesets/task65fig02.saav'
    fsave=strcompress(figsubsave+'task65fig02.sav')
    print,fsave

    restore,fsave

    nopr2=0
   graphlines65bw,nopr2,iout,$
   npts2,xvec2,yvec2,veccolor2,isymn2,clrval2,$
   nlines,nx2,xvecn2,yvecn2,numptsx2,$
   labelx,labely,title,$
   xmin,xmax,ymin,ymax,$
   x1a,y1a,x2a,y2a,$
   ioplot,igraphpts,sizept,$
   cs,cs2,cthick,$
   ixlog,iylog,$
   igrwords,ngrwords,grwords,xwords,ywords,wordc,$
   linetypes

; Write out to a saveset
;   fsave='/ur/massie/oco2_pattern/figsavesets/task65fig02.sav'

;  save,npts2,xvec2,yvec2,veccolor2,isymn2,clrval2,$
;  nlines,nx2,xvecn2,yvecn2,numptsx2,$
;  labelx,labely,title,$
;  xmin,xmax,ymin,ymax,$
;  x1a,y1a,x2a,y2a,$
;  ioplot,igraphpts,sizept,$
;  cs,cs2,cthick,$
;  ixlog,iylog,$
;  igrwords,ngrwords,grwords,xwords,ywords,wordc,$
;  linetypes,$
;  file=fsave

   device,/close

   printf,iout,'  '
   printf,iout,'  taskfig02: fileps ',fileps
   print,'  fileps ',fileps

; ******************************
; Open the output text file
   idat=30
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure02'
  printf,idat,'  a1=1d/3d intensity ratio for O2 A-band'
  printf,idat,'  a2=1d/3d intensity ratio for wco2 band'
  printf,idat,'  a3=1d/3d intensity ratio for sco2 band'
  printf,idat,'  i,distance (km) from side of right cloud, a1, a2, a3 '
    nw=numptsx2(0)
  for i=0,nw-1 do begin
   printf,idat,format='(2x,i3,4(1x,f10.4))',$
    i,xvecn2(i,0),yvecn2(i,0),yvecn2(i,1),yvecn2(i,2)
  endfor

  close,idat

; ******************************
   return
   end
