   pro taskfig16,iout,figsubsave,figsub,outwrsub

; *******
; Output ps file
   fileps16=strcompress(figsub+'figuref6.ps')
   print,fileps16

; ******************************
; Output text file
   fwr=strcompress(outwrsub+'figure16.txt')

; Open the output text file
   idat=40
  openw,idat,fwr

  print,'  will write to ',fwr

  printf,idat,'  figure16'

; ******************************
; Input data saveset
   fsave16=strcompress(figsubsave+'task167fig16.sav')

   print,fsave16

   restore,fsave16

; ******************************
; Open the ps file
   set_plot, 'ps'
   device, /color, bits_per_pixel=8, file=fileps16,$
    /portrait,/inch,ysize=9.0,xsize=7.0,xoffset=0.6,yoffset=1.0

; Graph bounds
    x1a=0.20
    x2a=0.80
    y1a=0.30
    y2a=0.90

; One graph per page
   !P.MULTI=[0,1,1]

; Load the color table
  if (ibw ne 1) then begin
   loadct,26
  endif
  if (ibw eq 1) then begin
   loadct,0
  endif

; Bold fonts
   !P.font=0

; ******************************
     nopr2=0
   graphlines167sp,nopr2,iout,$
   npts,xvec,yvec,veccolor,isymn,clrval,$
   nlines,nvec,xvecn,yvecn,numpts,$
   labelx,labely,title,$
   xmin,xmax,ymin,ymax,$
   x1a,y1a,x2a,y2a,$
   ioplot,igraphpts,sizept,$
   cs,cs2,cthick,$
   ixlog,iylog,$
   igrwords,ngrwords,grwords,xwords,ywords,wordc,$
   ibw,linestyles,xleft,xright,$
   icbar,colc,cbartitle,labelchr,ncbar,$
   iline0,yoops,$
   yhoriz,xvert,yvert1,yvert2,xlabelu,ylabelu

   device,/close
   print,fileps16

; ******************************
    ihelp=0
   if (ihelp eq 1) then begin
    help,nlines
    help,nvec
    help,xvecn
    help,yvecn
    help,grwords
    stop
; NLINES          INT       =        6
; NVEC            INT       =       21
; XVECN           FLOAT     = Array[21, 6]
; YVECN           FLOAT     = Array[21, 6]
; GRWORDS         STRING    = Array[6]
   endif

; ******************************
   printf,idat,'  '
   printf,idat,'  ',title
   printf,idat,'  x ',labelx
   printf,idat,'  y ',labely
   printf,idat,'  Data graphed for 6 lines '
   printf,idat,'  i,grwords(i)'
   for i=0,nlines-1 do begin
    printf,idat,'  ',i,'  ',grwords(i)
   endfor
   printf,idat,'  i,xvecn(i,0),yvecn(i,j) for j=0,5'
    vecdat=fltarr(nlines)
   for i=0,nvec-1 do begin
    for j=0,nlines-1 do begin
     vecdat(j)=yvecn(i,j)
    endfor
    printf,idat,format='(2x,i3,7(1x,f10.4))',$
     i,xvecn(i,0),vecdat
   endfor

; Close the output text file
   close,idat

; ******************************
   return
   end
